DocumentationAPI ReferenceChangelog

Envocal API

API Reference API Changelog

Endpoints

List tenants GETGet a tenant GETUpdate a tenant PUTCreate a sub-tenant POST
Tenants

Update a tenant

Get a tenant GET

Requires tenants:read

Create a sub-tenant POST

Creates a tenant under the tenant in the URL (current for the key's own tenant, or the id of one of its sub-tenants).

PUT
/v1/tenants/{tenantId}

Replaces the tenant's name, domain and external id. The tenant type cannot be changed.

Required permission: tenants:write

Authorization

Bearer
headerAuthorizationBearer <token>

Tenant API key (evk_…), created in Studio → Vault → API keys.

Path Parameters

tenantId*string

Tenant id, or current for the key's own tenant. Must be the key's tenant or one of its sub-tenants.

Request Body

New values.

  1. body
  1. body
  2. …

New values for a tenant. The type cannot be changed.

name*string

Display name.

domain?string

Email domain, unique across tenants; null or empty to clear.

extraId?string

Your own reference for this tenant; null or empty to clear.

Response Body

Updated.

Example Request
curl -X PUT 'https://api.envocal.ai/v1/tenants/string' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
Empty
Example Request
curl -X PUT 'https://api.envocal.ai/v1/tenants/string' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string"
}'